List
curl --request GET \
--url https://{region}.api.plerion.com/v1/tenant/custom-reports \
--header 'Authorization: Bearer <token>'import requests
url = "https://{region}.api.plerion.com/v1/tenant/custom-reports"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{region}.api.plerion.com/v1/tenant/custom-reports', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "3f1c7d2e-5a6b-4c8d-9e0f-1a2b3c4d5e6f",
"name": "Production security posture",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"meta": {
"perPage": 50,
"total": 2,
"cursor": "<string>"
}
}{
"errors": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}{
"message": "Forbidden"
}List the tenant's custom dashboards
Returns the tenant’s custom dashboards with the id each one is referred to by elsewhere, for example as homeReportId on a preference.
curl "https://au.api.plerion.com/v1/tenant/custom-reports?perPage=50" -H "Authorization: Bearer $PLERION_API_KEY"
GET
/
v1
/
tenant
/
custom-reports
List
Authorizations
Bearer API Key. For example, "Bearer {Tenant API Key}"
Headers
Bearer API Key. For example, "Bearer {Tenant API Key}"
Query Parameters
Dashboards per page, 1 to 100. Defaults to 50.
Pattern:
^([1-9]|[1-9][0-9]|100)$The meta.cursor value from the previous page, passed back unchanged.
Was this page helpful?